module Main where

import HFANN

-- Nodes definition for an ANN of 2 input, 3 hidden and 1 output nodes
fannDef :: [Int]
fannDef = [2, 3, 1]

main :: IO ()
main = do
  -- Create a new ANN
  withStandardFann fannDef $ \fann -> do
    -- Replace the default activation function 'fannSigmoid' with
    -- a symmetric one
    setActivationFunctionHidden fann activationSigmoidSymmetric
    setActivationFunctionOutput fann activationSigmoidSymmetric

    -- Train the ANN on the data from file 'xor.data'
    trainOnFile fann "xor.data" 200000 100 0.001

    -- Save the trained ANN to file 'xor.ann'
    saveFann fann "xor.ann"
